Subject: RE: [Simple] MSRP: Contributor ID

From: [email-masked]
Date: Mon, 30 Aug 2004 18:37:00 +0300

The chairs have deliberated on this issue.  Here is what we concluded:

- We let MSRP base go as it is now, making sure that it says if an endpoint receives an unknown header, it ignores it (just in case we decide to go with the header approach).

- Rohan will write up a separate internet draft describing the header approach with its security considerations.

- Robert will kick off an internet draft describing the body approach (be it CPIM or something else) and its security considerations.

The result is that MSRP base is not delayed and we get more time to get this right. In the mean time, we encourage the discussion to continue.

Regards,
Hisham

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Adam Roach <[email-masked]>
Date: Tue, 31 Aug 2004 18:38:53 -0500

>- Robert will kick off an internet draft describing the body approach (be it CPIM or something else) and its security considerations.

Just to be clear: Section 4.1.1 of RFC 2779 absolutely, unambiguously, 
and without recourse for appeal binds SIMPLE to support CPIM in MSRP. 
Section 4.1.2 similarly requires us to be able to identify the sender. 
These mechansims, simply put, must be in MRSP, or it dies in IESG review.

Full stop.

So, I want to clear up any misunderstanding that this might be an 
either-or decision -- an impression Hisham's note may have given some 
particpants.

The support of CPIM _will_ be part of MSRP, it _will_ contain mechanisms 
for identifying the sender, and there's not a thing any member of this 
working group can do about it.

At this point, we're just debating whether there will be a redundant 
mechanism for doing the same thing.

/a